2 Replies Latest reply on Jan 2, 2015 2:10 AM by simone111

    I bought LR 5.7.1 but when I try to register the product it ask me a previous version of LR that I have not, what to do?

    simone111

      I bought LR 5.7.1 but when I try to register the product it ask me a previous version of LR that I have not, what to do?